---
id: verifiablecredential
title: "VerifiableCredential"
description: ""
sidebar_label: "VerifiableCredential"
hide_title: true
hide_table_of_contents: true
schema: true
sample: {"@context":["https://www.w3.org/2018/credentials/v1"],"type":["VerifiableCredential","TestCredential"],"id":"http://example.edu/credentials/1872","credentialSubject":{"id":"did:example:subject-1","customProp":"value"},"issuer":"did:example:issuer","issuanceDate":"2020-01-01T00:00:00Z","expirationDate":"2030-01-01T00:00:00Z","validFrom":"2020-01-01T00:00:00Z","validUntil":"2030-01-01T00:00:00Z","evidence":{"type":"DocumentVerification","verifier":"did:example:verifier"},"credentialStatus":{"id":"did:example:credential-status","type":"BitstringStatusListEntry","statusPurpose":"suspension","statusListIndex":"0","statusListCredential":"did:example:status-credential","statusSize":"10","statusMessage":[{"status":"deadbeef","message":"Status message detail"}],"statusReference":"https://example.com/status"},"proof":[{"type":"JsonWebSignature2020","created":"2020-01-01T00:00:00Z","proofPurpose":"assertionMethod","jws":"eyJhbGciOiJFUzI1NiIsInR5cCI...","verificationMethod":"did:example:123456#key-1"}]}
custom_edit_url: null
---

import Schema from "@theme/Schema";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"VerifiableCredential"}
>
</Heading>





<Schema
  schema={{"type":"object","properties":{"@context":{"type":"array","example":["https://www.w3.org/2018/credentials/v1"],"items":{"type":"string","enum":["https://www.w3.org/2018/credentials/v1","https://www.w3.org/ns/credentials/v2","https://w3id.org/security/suites/jws-2020/v1","https://w3id.org/security/data-integrity/v2","string"]}},"type":{"example":["VerifiableCredential","TestCredential"],"type":"array","items":{"type":"string"}},"id":{"type":"string","example":"http://example.edu/credentials/1872"},"credentialSubject":{"additionalProperties":true,"example":{"id":"did:example:subject-1","customProp":"value"},"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"did:example:subject-1"}},"required":["id"],"title":"CredentialSubject"}]},"issuer":{"type":"string","example":"did:example:issuer"},"issuanceDate":{"type":"string","example":"2020-01-01T00:00:00Z"},"expirationDate":{"type":"string","example":"2030-01-01T00:00:00Z"},"validFrom":{"type":"string","example":"2020-01-01T00:00:00Z"},"validUntil":{"type":"string","example":"2030-01-01T00:00:00Z"},"evidence":{"type":"object","additionalProperties":true,"example":{"type":"DocumentVerification","verifier":"did:example:verifier"}},"credentialStatus":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","example":"did:example:credential-status"},"type":{"type":"string","enum":["BitstringStatusListEntry"],"example":"BitstringStatusListEntry"},"statusPurpose":{"type":"string","enum":["refresh","revocation","suspension","message"],"example":"suspension"},"statusListIndex":{"type":"string","example":"0"},"statusListCredential":{"type":"string","example":"did:example:status-credential"},"statusSize":{"type":"string","example":"10"},"statusMessage":{"example":[{"status":"deadbeef","message":"Status message detail"}],"type":"array","items":{"type":"object","properties":{"status":{"type":"string","example":"deadbeef"},"message":{"type":"string","example":"Status message detail"}},"required":["status","message"],"title":"StatusMessage"}},"statusReference":{"type":"string","example":"https://example.com/status"}},"required":["id","type","statusPurpose","statusListIndex","statusListCredential"],"title":"CredentialStatus"},{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"did:example:credential-status"},"type":{"type":"string","enum":["BitstringStatusListEntry"],"example":"BitstringStatusListEntry"},"statusPurpose":{"type":"string","enum":["refresh","revocation","suspension","message"],"example":"suspension"},"statusListIndex":{"type":"string","example":"0"},"statusListCredential":{"type":"string","example":"did:example:status-credential"},"statusSize":{"type":"string","example":"10"},"statusMessage":{"example":[{"status":"deadbeef","message":"Status message detail"}],"type":"array","items":{"type":"object","properties":{"status":{"type":"string","example":"deadbeef"},"message":{"type":"string","example":"Status message detail"}},"required":["status","message"],"title":"StatusMessage"}},"statusReference":{"type":"string","example":"https://example.com/status"}},"required":["id","type","statusPurpose","statusListIndex","statusListCredential"],"title":"CredentialStatus"}}]},"proof":{"example":[{"type":"JsonWebSignature2020","created":"2020-01-01T00:00:00Z","proofPurpose":"assertionMethod","jws":"eyJhbGciOiJFUzI1NiIsInR5cCI...","verificationMethod":"did:example:123456#key-1"}],"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["JsonWebSignature2020","DataIntegrityProof"],"example":"JsonWebSignature2020"},"proofPurpose":{"type":"string","example":"assertionMethod"}},"required":["type","proofPurpose"],"title":"Proof"}}},"required":["@context","type","credentialSubject","issuer","proof"],"title":"VerifiableCredential"}}
  schemaType={"response"}
>
  
</Schema>
            